{ pkgs ? import <nixpkgs> {}, ...}:

let
  lua = pkgs.lua5_3;
  myLuaPkgs = import ./pkgs.nix { inherit pkgs; inherit lua; };
  myHashings = myLuaPkgs.hashings;
  myLua = lua.withPackages (luapkgs: with luapkgs; [penlight http myHashings rapidjson]);
in
pkgs.mkShell {
  packages = [
    (pkgs.fennel.override (old: old // { lua = myLua; }))
    myLua
    pkgs.findutils
    # inotify-tools
  ];
}
